Name:             geda-gsymcheck
Version:          20070216
Release:          1%{?dist}

Summary:          Symbol checker for electronics schematics editor
Group:            Applications/Engineering
License:          GPL

URL:              http://www.geda.seul.org/tools/gsymcheck/index.html
Source:           ftp://ftp.geda.seul.org/pub/geda/devel/%{version}/%{name}-%{version}.tar.gz

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    libgeda-devel
Requires:         geda-symbols

%description
Gsymcheck is a utility to check symbols for gschem.
It is part of the gEDA project.

%prep
%setup -q

# use of guile-1.6
cp -p configure configure.guile16
sed -i "s|guile|guile-1.6|" configure
sed -i "s|guile-1.6-config|guile-config-1.6|" configure src/create_proto
sed -i "s|guile-1.6-tools|guile-tools-1.6|" configure
sed -i "s|ac_cv_lib_guile-1.6|ac_cv_lib_guile|" configure
sed -i "s|-lguile-1.6|-lguile16|" configure
sed -i "s|guile-1.6version|guileversion|" configure
sed -i "s|#include <libguile-1.6.h>|#include <libguile16.h>|" configure

# v20061020 : file: include/libgeda.h
# Keep timestamps for files not needed to be modified
for f in `find . -name \*.h -or -name \*.c` ; do
   if grep -q libguile $f ; then
      sed -i.guile16 -e 's|libguile.h|libguile16.h|' $f
   fi
   if grep -q 'guile/' $f ; then
      sed -i 's|guile/\(.*\)h|guile16/\1h|' $f
   fi
done

%build
export GUILE_CFLAGS="-I%{_includedir}/libguile16 -I%{_includedir}/guile16"
export GUILE_LDFLAGS="-L%{_libdir}/guile16"

%configure  --with-docdir=%{_datadir}/gEDA/docs
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}

%{__mv} AUTHORS AUTHORS.tmp
iconv -f ISO-8859-1 -t UTF8 AUTHORS.tmp > AUTHORS && \
      %{__rm} -f AUTHORS.tmp || %{__mv} AUTHORS.tmp AUTHORS

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/docs
#%dir %{_datadir}/gEDA/docs/readmes
#%dir %{_datadir}/gEDA/docs/man
#%dir %{_datadir}/gEDA/examples
#%dir %{_datadir}/gEDA/scheme

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING README
%{_bindir}/gsymcheck
%{_datadir}/gEDA/system-gsymcheckrc
%{_mandir}/man1/gsymcheck.*
%{_datadir}/gEDA/docs/man/gsymcheck.html

%Changelog
* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Mon Jan 08 2007 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-2
- rebuilt under compat-guile-16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- Upstream release 20061020

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Mon Sep 04 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-5
- Encoded AUTHORS into UTF8 from ISO-8859-1

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed ownership of the bitmap directory
- Encoded AUTHORS into UTF8

* Mon Aug 28 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- recompiled with libgdgeda 2.0.9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- man directory changed, some corrections, previous patch no more needed

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- updated to version 20010722; built on redhat-7.0
- bulild directory changed, patched for improper rc file location

* Mon Mar 7 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added '*' as manpage extension because Mandrake compresses them
with bzip2 while redhat use gzip
- rebuilt with latest version of rpm

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- added man page and ChangeLog
- updated to version 20000704

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- New spec file for gsymcheck

# end of file
